import type { LanguageRegistration, ThemeRegistrationAny } from '@shikijs/types';
import { type FunctionComponent } from 'react';
import { type ScrollViewProps, type StyleProp, type TextStyle, type ViewStyle } from 'react-native';
export interface SyntaxHighlighterProps {
    text: string;
    language: string | LanguageRegistration;
    theme: ThemeRegistrationAny;
    fontSize?: number;
    textStyle?: StyleProp<TextStyle>;
    scrollViewProps?: ScrollViewProps;
    containerStyle?: StyleProp<ViewStyle>;
}
export declare const SyntaxHighlighter: FunctionComponent<SyntaxHighlighterProps>;
export default SyntaxHighlighter;
//# sourceMappingURL=SyntaxHighlighter.d.ts.map